#include <algorithm>
#include <cstdio>
#include <cstring>
using namespace std;
typedef long long ll;
ll K[100010];
int main()
{
    K[0] = 0;
    for (int i = 1; i < 100; i++)
        K[i] = K[i - 1] + (1 << (i - 1)) - 1;
    ll T, n, k;
    scanf("%lld", &T);
    while (T--)
    {
        scanf("%lld", &n, &k);
    }
    return 0;
}